Skip to main content
GET
Holdings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Response

avg30_volume
string

The avg stock volume for the stock last 30 days.

Example:

"55973002"

bearish_premium
string

The bearish premium is defined as (call premium bid side) + (put premium ask side).

Example:

"143198625"

bullish_premium
string

The bullish premium is defined as (call premium ask side) + (put premium bid side).

Example:

"196261414"

call_premium
string

The sum of the premium of all the call transactions that executed.

Example:

"9908777.0"

call_volume
integer

The sum of the size of all the call transactions that executed.

Example:

990943

close
string

The closing price of the candle.

Example:

"56.79"

has_options
boolean

Boolean flag whether the company has options.

Example:

true

high
string

The highest price of the candle.

Example:

"58.12"

low
string

The lowest price of the candle.

Example:

"51.90"

name
string

The name of the company.

Example:

"APPLE INC"

open
string

The opening price of the candle.

Example:

"54.29"

prev_price
string

The previous trading day's stock price of the ticker.

Example:

"189.70"

put_premium
string

The sum of the premium of all the put transactions that executed.

Example:

"163537151"

put_volume
integer

The sum of the size of all the put transactions that executed.

Example:

808326

sector
enum<string>

The financial sector of the ticker. Empty if unknown or not applicable such as ETF/Index.

Available options:
Basic Materials,
Communication Services,
Consumer Cyclical,
Consumer Defensive,
Energy,
Financial Services,
Healthcare,
Industrials,
Real Estate,
Technology,
Utilities
Example:

"Technology"

ticker
string

The stock ticker.

Example:

"AAPL"

volume
integer

The volume of the ticker for the trading day.

Example:

23132119

week_52_high
string

The 52 week high stock price of the ticker.

Example:

"198.23"

week_52_low
string

The 52 week low stock price of the ticker.

Example:

"124.17"

Last modified on September 29, 2026